com.ihr.xbrl.om

## Class TaxonomyPackageURIResolver.EntryPointLangInfo

- java.lang.Object
- - com.ihr.xbrl.om.TaxonomyPackageURIResolver.EntryPointLangInfo

- Enclosing class:
    TaxonomyPackageURIResolver

      public static class TaxonomyPackageURIResolver.EntryPointLangInfo
      extends java.lang.Object

  Represents an entry point in a taxonomy package.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyPackageURIResolver.EntryPointLangInfo(java.lang.String version, TaxonomyPackageURIResolver.EntryPointHRefs hrefs)` Instantiates a new entry point lang info.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Gets the description.
    `TaxonomyPackageURIResolver.EntryPointHRefs` | `getHrefs()` Gets the hrefs.
    `java.lang.String` | `getName()` Gets the name.
    `java.lang.String` | `getVersion()` Gets the version.
    `void` | `setDescription(java.lang.String description)` Sets the description.
    `void` | `setName(java.lang.String name)` Sets the name.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyPackageURIResolver.EntryPointLangInfo

          public TaxonomyPackageURIResolver.EntryPointLangInfo(java.lang.String version,
                                                       TaxonomyPackageURIResolver.EntryPointHRefs hrefs)

      Instantiates a new entry point lang info.
      Parameters:
        `version` - the version
        `hrefs` - the hrefs

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        the name

    - #### setName

          public void setName(java.lang.String name)

      Sets the name.
      Parameters:
        `name` - the name to set

    - #### getVersion

          public java.lang.String getVersion()

      Gets the version.
      Returns:
        the version

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description.
      Returns:
        the description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Sets the description.
      Parameters:
        `description` - the description to set

    - #### getHrefs

          public TaxonomyPackageURIResolver.EntryPointHRefs getHrefs()

      Gets the hrefs.
      Returns:
        the href

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`